%define	modname	spca5xx
%define	name	dkms-%{modname}
%define	version	0.57.00
%define	date	20050701
%define	rel	2
%define	release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DKMS-ready driver for spca5xx webcams
License:	GPL
Source0:	%{modname}-%{date}.tar.bz2
Url:		http://mxhaard.free.fr/download.html
Group:		Development/Kernel
Requires(pre):	dkms
Requires(post): dkms
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch:	noarch

%description
This package contains a DKMS-ready driver for spca5xx webcams.


%prep
%setup -q -c -n %{modname}-%{version}
chmod -R go=u-w .

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/src/%{modname}-%{version}
cp -a %{modname}-%{date}/* %{buildroot}/usr/src/%{modname}-%{version}
cat > %{buildroot}/usr/src/%{modname}-%{version}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{modname}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"
BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/drivers/usb/media"
REMAKE_INITRD="no"
EOF

%post
#if [ $1 == 1 ]
#then 
  dkms add -m %{modname} -v %{version} --rpm_safe_upgrade
  dkms build -m %{modname} -v %{version} --rpm_safe_upgrade
  dkms install -m %{modname} -v %{version} --rpm_safe_upgrade
#fi


%preun
#if [ $1 == 0 ]
#  then dkms remove -m %{modname} -v %{version} --rpm_safe_upgrade --all ||:
#fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/src/%{modname}-%{version}

%changelog
* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.57.00-2mdk
- arg, forgot %%clean section

* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.57.00-1mdk
- initial release (club request)
